Plugin Name: MarketPress
Author: Aaron Edwards (incsub)

Change Log:
----------------------------------------------------------------------

2.9.6.2
----------------------------------------------------------------------
- Fixed issue with collecting billing address for digital products (when "Collect Address on Downloadable Only Cart" is checked and shipping method is not set) 

2.9.6.1
----------------------------------------------------------------------
- Fixed issue with Statistics dashboard widget (not showing right previous month)

2.9.6
----------------------------------------------------------------------
- Fixed: South Africa should require zip code during checkout
- Fixed: PHP warnings when using Ultimatum theme
- Fixed: 2Checkout doubling price after being redirected
- Fixed: infinite loop bug in Authorize.net gateway
- Fixed: order-by dropdown doesn't always show default value from presentation settings
- Added: Updated 2Checkout gateway to latest API

2.9.5.9
----------------------------------------------------------------------
- Fixed: Fedex displaying all available services at checkout instead of only the services selected
- Fixed: PayPal Express is only applying coupon to one item

2.9.5.8
----------------------------------------------------------------------
- Added: products are no longer set to "draft" status when using the "hide out of stock products" setting -- instead they're now set to a status of "out_of_stock"
- Fixed: tax being charged on shipping even if tax shouldn't be charged
- Fixed: download url incorrect in order confirmation email for products being transitioned to a draft status due to "hide out of stock products" setting
- Fixed: user can't download purchased files when product is out of stock
- Fixed: bug with pagination when using [mp_list_global_products] on front page

2.9.5.7
----------------------------------------------------------------------
- Fixed: Paymill gateway is using SSL v3 which is suspectible to POODLE vulnerability

2.9.5.6
----------------------------------------------------------------------
- Fixed: products being set to draft status after being ordered

2.9.5.5
----------------------------------------------------------------------
- Added: "mp_imported_products_post_status" filter - gives the ability to set the post status of imported products
- Fixed: when importing products via CSV and products have the same featured image only the first product attaches the image
- Fixed: when using embedded Stripe checkout form the selected currency isn't being reflected in the payment form
- Fixed: bug with mp_list_products short code and pagination
- Fixed: bug with tax calculations due to over-rounding
- Fixed: bug with PayPal Express gateway when tax shipping is enabled
- Fixed: bug with automatic emails some times not being RFC5322 compliant due to line length

2.9.5.4
----------------------------------------------------------------------
- Fixed: Shipping tax not being calculated correctly when using tax-inclusive pricing
- Fixed: Out of stock products are still showing when "Hide out of stock items" is enabled
- Fixed: Extra title showing above the default product image in grid view
- Fixed: Pinterest pin-it button doesn't open in new window/tab
- Fixed: Store menu items regenerate themselves after being deleted

2.9.5.3
----------------------------------------------------------------------
- Fixed: Invalid measurement errors when using UPS shipping and a base country that uses the metric system http://wp.mu/a5s
- Fixed: Incorrect First-class Mail Parcel rates being returned when using USPS shipping
- Fixed: PHP warnings with wp_title_output()
- Fixed: PHP errors in PIN gateway
- Fixed: Nav Menu items classes not being applied correctly
- Fixed: Bug with pagination when displaying products from a given category using [mp_list_products] short code

2.9.5.2
----------------------------------------------------------------------
- Added: BN codes to PayPal gateways

2.9.5.1
----------------------------------------------------------------------
- Added: UPS shipping gateway now allows admin to choose the appropriate pickup type allowing for more accurate rate requests
- Fixed: When using global product list the "buy now" button adds the item to a cart that doesn't exist http://wp.mu/a2i
- Fixed: Shipping costs are being calculated but are not applying when order is processed http://wp.mu/a2h
- Fixed: Unable to deselect shipping options in Fedex shipping gateway settings http://wp.mu/a0s
- Fixed: Unable to deselect "use default embedded form" in Stripe gateway settings http://wp.mu/a0t
- Fixed: Unable to deselect checkboxes in Bitpay gateway settings
- Fixed: Extra characters at end of admin order notification email http://wp.mu/a0u

2.9.5
----------------------------------------------------------------------
- Fixed: When using global cart admin some times loses the ability to change shipping methods

2.9.4.9
----------------------------------------------------------------------
- Fixed: File download issue that some users were reporting
- Fixed: Conflicts with Ultimatum theme http://wp.mu/9tt
- Fixed: Global Product Widget is showing a description under each product even when "content to show" is set to none http://wp.mu/9u8 
- Fixed: Shipping not being calculated correctly when using global cart and multiple shipping methods http://wp.mu/a0a
- Fixed: Issue with shipping/billing fields displaying incorrect values in admin http://wp.mu/a0b
- Fixed: Double escaping in global product list widget title http://wp.mu/a0e

2.9.4.8
----------------------------------------------------------------------
- Fixed: Fatal error in some of the payment gateways

2.9.4.7
----------------------------------------------------------------------
- Fixed: errors when checking out using PayPal and global cart is enabled
- Fixed: incorrect shipping calculations when using tax inclusive pricing and calculated shipping options
- Fixed: when toggling global cart on/off PayPal settings get wiped out
- Fixed: PHP warning when checking out using UPS shipping gateway

2.9.4.6
----------------------------------------------------------------------
- Fixed: Product and category specific coupons could be used for any product with a mal-formed coupon code http://wp.mu/9qe
- Fixed: Fatal "Cannot use string offset as an array" error in network admin when enabling global cart http://wp.mu/9qf

2.9.4.5
----------------------------------------------------------------------
- Fixed: display issue on product category templates http://wp.mu/9ek
- Fixed: when checking out every UPS shipping service shows as available instead of only the ones that are selected
- Fixed: order status links generate page-not-found errors http://wp.mu/9em
- Fixed: PHP notices when logging out
- Fixed: random slashes being added to Bitpay message field http://wp.mu/9f6

2.9.4.4
----------------------------------------------------------------------
- Fixed: [mp_related_products] some times causes product categories/tags to not display http://wp.mu/9ce
- Fixed: errors when checking out when using global cart 
- Fixed: shopping cart shows PHP warning
- Fixed: some arguments in [mp_list_global_products] don't work http://wp.mu/9dm
- Fixed: during checkout the shipping name field isn't being validated that a full name was entered http://wp.mu/9e8
- Fixed: can't unselect shipping options when using UPS gateway
- Removed Parcel Post shipping option from USPS shipping gateway as this only available through retail outlets
- New: emails are now sent as HTML - fixes issues with html entities displaying improperly in emails

2.9.4.3
----------------------------------------------------------------------
- Fixed: admin bar shows wrong site than what is currently being viewed in multisite setup
- Fixed: receiving errors when checking out using Fedex http://wp.mu/9c2
- Fixed: when using UPS shipping, cart is showing one shipping rate while a different rate is being applied to the orders http://wp.mu/9c3
- Fixed: [mp_related_products] some times causes product categories/tags to not display http://wp.mu/9ce
- Fixed: PHP warning on product category/tag page
- Fixed: when changing categories some times no products will display even though there are products in the selected category
- Fixed: PayPal network settings don't save
- Fixed: item price in cart is wrong http://wp.mu/9cj
- Fixed: when using prices inclusive of tax and also taxing shipping fees the total tax is calculated incorrectly http://wp.mu/9cs

2.9.4.2
----------------------------------------------------------------------
- Fixed: dashboard stats widget includes orders that are trashed
- Fixed: can't edit user shipping/billing info on user edit screen
- Fixed: tax breakdown doesn't display when using tax-inclusive pricing http://wp.mu/9bu
- Fixed: special characters show as html entities in emails
- Fixed: errors when checking out using Authorize.net gateway http://wp.mu/9bv

2.9.4.1
----------------------------------------------------------------------
- Fixed: product list widget doesn't show price for products with variations http://wp.mu/9ai
- Fixed: spelling error in shipping settings http://wp.mu/9aj
- Fixed: lightbox no longer works on product images
- Fixed: not able to use both categories and tags in [mp_list_products] http://wp.mu/9ao
- Fixed: grid view broken in 2014 theme
- Fixed: related products "Relate Products By" dropdown doesn't accurately show selected value
- Added: custom update messages for products and orders
- Added: additional schema.org markup for Google Rich Snippets

2.9.4 - 4/16/2014
----------------------------------------------------------------------
- Fixed: grid view doesn't work when displaying global product list
- Fixed: products on are not added to cart when using buy now button on single product page
- Fixed: product categories not properly assigning when using global marketplace http://wp.mu/970
- Added: Bitpay Bitcoin gateway (alpha)

2.9.3.9 - 4/12/2014
----------------------------------------------------------------------
- Fixed: incorrect URL in Simplify gateway settings
- Fixed: incorrect URL in Authorize.net gateway settings
- Fixed: when logged in, order status links are incorrect
- Fixed: when using Authorize.net in sandbox mode API calls are being made in test mode
- Fixed: when completing checkout, in-stock items some times show as out of stock (when using variations)
- Fixed: when quickly adding multiple items to cart not all of the items get added http://wp.mu/96f

2.9.3.8 - 4/5/2014 - Jonathan Cowher 
----------------------------------------------------------------------
- Fixed: prices not showing up after 2.9.3.7 release

2.9.3.7 - 4/5/2014 - Jonathan Cowher 
----------------------------------------------------------------------
- Fixed: deprecated use of the $wpdb->escape() function
- Fixed: wrong link in PayPal Express settings
- Fixed: subtotal text appending for each item
- Fixed: coupons incorrectly apply to uncategorized items when using category-based coupons
- Fixed: coupon stays applied to cart after removing applicable products from cart
- Added: support for Google rich snippets NOTE: PLEASE CHECK YOUR PRODUCT PAGES AFTER UPDATING AS SOME ADDITIONAL TAGS HAVE BEEN ADDED
- Deprecated: mp_product_price_tag filter - use mp_product_price_html instead

2.9.3.6 - 3/27/2014 - Jonathan Cowher 
----------------------------------------------------------------------
- Fixed: product list shortcode not using correct "per_page" setting
- Fixed: product list scroll-to-top not working when product filters are hidden
- Fixed: not able to check off destination countries in IE 11

2.9.3.5 - 3/20/2014 - Jonathan Cowher 
----------------------------------------------------------------------
- Fixed a bug with certain settings not saving http://wp.mu/91u

2.9.3.4 - 3/20/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed a bug with certain gateways and checkout totals some times not matching up and causing errors http://wp.mu/91n

2.9.3.3 - 3/19/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed bug with not being able to deselect target countries once selected http://wp.mu/91g
- Fixed bug when clicking “EU” target countries wouldn’t always work
- Fixed bug with tax not showing up on order pages in admin when using tax inclusive prices

2.9.3.2 - 3/17/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: bug with per-order download limits http://wp.mu/912
- Fixed: bug with checkout when tax inclusive pricing was enabled http://wp.mu/913
- Fixed: order confirmation emails were not reflecting coupon discounts

2.9.3.1 - 3/15/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: when using USPS shipping all shipping options would be available instead of only the ones selected in settings
- Fixed: Taxes were being added to cart when they shouldn't have been

2.9.3 - 3/14/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed fatal error on checkout page that some users were reporting (specific to PHP version 5.3.1) 

2.9.2.9 - 3/14/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Added MP_IMPORT_ALLOW_NO_PRICE constant to allow importing of products with no price

2.9.2.8 - 3/14/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Updated order status screens to reflect new coupon changes from 2.9.2.7
- Added coupon code to discount column in admin orders screen

2.9.2.7 - 3/13/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: In USPS shipping settings, services could not be unchecked
- Sessions are now only initialized when needed instead of on globally
- Coupon discounts are now applied to each applicable product instead of the cart as a whole (fixes "applies to" rules not working correctly)

2.9.2.6 - 3/13/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: "Uncaught TypeError: Object [object Object] has no method 'ColorPicker'" on network settings screen http://wp.mu/900
- Fixed: Undefined variables notices on network settings screen
- Fixed: Low stock notifications were being sent for products that didn't have inventory tracking enabled http://wp.mu/905
- Fixed: On checkout screen errors would show above breadcrumb whereas update messages would show below http://wp.mu/904
- Code cleanup for PayPal Express gateway

2.9.2.5 - 3/8/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: When using [mp_list_global_products] pagination would not work http://wp.mu/8z9
- Fixed: When editing a product-specific coupon, the product dropdown would not show up initially

2.9.2.4 - 3/8/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: Coupon codes would not honor the "applies to" setting http://wp.mu/8z8
- Fixed: Simplify gateway would display an "Simplify token not generated correctly" error when not activated with any other gateway plugins http://wp.mu/8yo
- Fixed: Compatibility bug with WordPress HTTPS http://wp.mu/8y3
- Fixed: Bug with low stock notifications

2.9.2.3 - 3/3/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: Low-stock notifications wouldn't send at expected threshold
- Fixed: Fixed a bug with not being able to use "services" as a page slug http://wp.mu/8xw
- Fixed: Javascript for Pinterest pin-it button would not be generated correctly
- Fixed: When switching shipping methods, table-rate data would be wiped out http://wp.mu/8xy
- New: Updated the Pinterest Rich Pins oEmbed endpoint to use http://www.yourdomain.com/wp-admin/admin-ajax.php?action=mp_oembed&type=pinterest&url=* instead of http://www.yourdomain.com/services/oembed?url=*

2.9.2.2 - 2/25/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: Bug where store page wasn't being created on activation http://wp.mu/8wl
- Fixed: Bug when adding coupons to specific products on sites with many (~10k+) products http://wp.mu/8wj
- Fixed: Hide postal/zip code field when checking out for ship-to countries that don't use postal/zip codes
- Fixed: Shipping would be set to zero for countries that don't require a postal/zip code http://wp.mu/8wi
- Fixed: Low-stock notifications now send at appropriate threshold http://wp.mu/8w6

2.9.2.1 - 2/24/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: Simplify gateway would cause errors when enabled with other gateways http://wp.mu/8w1
- Added: "mp_orders_cap" filter which allows developers to easily change the capability type required to view the orders menu http://wp.mu/8w2

2.9.2 - 2/13/2014 - Jonathan Cowher, Marko Miljus, Arnold
----------------------------------------------------------------------
- Fixed: Divide by zero warning in USPS gateway
- Fixed: Mixed-content warnings in wp-admin
- Fixed: Session handling code that caused issues with PayPal Express checkout 
- Fixed: Conflict with WordPress Social Invitations plugin http://wp.mu/8ul
- Fixed: When using WPML and [mp_product] shortcode the non-translated version of the product would be returned
- Fixed: GA E-Commerce bug http://wp.mu/8ve

2.9.1 - 2/13/2014 - Jonathan Cowher, Marko Miljus
----------------------------------------------------------------------
- Fixed mixed-content issues on checkout pages when using SSL
- Fixed when importing products from csv, products with stock set to 0 wouldn't be tracked http://wp.mu/8sp
- Removed outdated translation files
- Added support for all Stripe payment gateway currencies http://wp.mu/8sw

2.9.0.9 - 2/8/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Updated session handling code - fixes some PHP warnings that some users were reporting

2.9.0.8 - 2/7/2014 - Jonathan Cowher, Marko Miljus
----------------------------------------------------------------------
- Fixed some bugs in WePay gateway
- Localization files (.mo) can now be loaded from wp-content/language/marketpress/mp-{your locale}.mo
- Fixed issue (fatal error) when calculating total price with taxes in 2checkout payment gateway

2.9.0.7 - 2/6/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed a bug where product pagination sometimes wouldn't display

2.9.0.6 - 2/6/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed a bug in [mp_list_products] where products would always show above all other content
- Updated some default styles for cart widget
- Update .pot file

2.9.0.5 - 1/30/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Added presentation settings for choosing alignment of product image instead of always "alignleft"
- Updated mp_product_image function/shortcode to allow for setting product image alignment

2.9.0.4 - 1/29/2014 - Jonathan Cowher, Marko Miljus, Aaron Edwards
----------------------------------------------------------------------
- Fixed a bug where product filters would show even if turned off in presentation settings
- Fixed a Genesis theme compatibility update for >2.0
- Fixed a bug where no lightbox would show when using the [mp_product_image context="single"] shortcode with lightbox enabled in presentation settings http://wp.mu/8ov
- Use WP3.8 dashicon for admin menu
- Added new payment gateway - WePay (beta)

2.9.0.3 - 1/23/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed a bug with product filters some times redirecting to a 404 page or returning the wrong product set
- Fixed a bug when calling mp_list_products() with no arguments, the default set of arguments would be populated incorrectly

2.9.0.2 - 1/23/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed a bug where product listings would use default posts per page setting instead of the value in MarketPress presentation settings

2.9.0.1 - 1/23/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed a bug where users couldn't update products/order after updating

2.9 - 1/22/2014 - Aaron Edwards, Arnold, Marko Miljus, Ryan Welcher, Jonathan Cowher
----------------------------------------------------------------------
- Added Coupons for individual categories/products
- Added compatibility with Google Universal Analytics
- Added Stripe embedded form button
- Added Pinterest "Rich Pins" w/advanced oembed endpoint 
- Added show related products option
- Added Pickup in-store shipping option
- Added ability to assign a custom per-order limit to a product
- Add setting to turn off downloadable product default 1 per order limit
- Added filters to many template functions
- Minor bugfixes on Simplify gateway
- Deleted orders are now removed from usermeta
- Fixed bug with 2checkout where amount was returning more than 2 decimal places
- Added Russian Rubles to paypal currencies and locale
- Fix php warnings when switching between non-calculated shipping modules
- Fix bug with which gateway is shown when switching global cart in network settings
- Fix possible rounding error in Stripe gateway
- In Calculated Shipping plugins changed so if all weights in an order are zero then show Free Shipping
- In FedEx fixed problem with calculating the correct number of packages.
- Added https support for custom styles in the wp-content/marketpress-styles/ directory.
- Added ajax checkout error flag which is set when ajax starts and reset when ajax is finished. Prevents form submits from aborting shipping lookups.
- Removed apply_filters("mp_shipping_options_... call in extra_shipping_box_label() It passes nulls instead of an address so it can't properly recalculate the options anyway.
- Changes to USPS to standardize across the calculated shipping plugins.
- Make messages visual editor css more specific to avoid conflicts
- Add US Virgin Islands to USPS allowed base country list
- Added 4 new currencies to PayMill payment gateway (BGN, HRK, GIP, RON)
- Added 3 new currencies to PIN payment gateway (SGD, EUR and GBP)
- Added Australian Dollars (AUD) currency to Stripe payment gateway
- Added Norwegian Krone (NOK) currency to Skrill / MoneyBookers payment gateway
- Added 8 new currencies to 2CheckOut payment gateway (AED, ILS, LTL, PHP, RON, RUB, SGD, TRY)
- Added 2 new currencies to Authorize.net AIM payment gateway (AUD and NZD)
- Add filter so certain products can be excluded from GA tracking
- Pass manual gateway instuctions through wpautop() and allow shortcodes in it
- Remove encoded html from PayPal IPN strings http://wp.mu/7s9
- Delay upgrade rewrite flush to end of init hook http://wp.mu/7vt
- Remove retired Google checkout gateway
- Fixed bug with PayPal Express gateway and coupons where totals would be incorrect after being transferred to PayPal
- Updated mp_list_products() function to use WP-style arguments - users can still use existing argument style if they wish
- Added mp_list_products() can now display filters - no need to call mp_products_filter() in your theme template
- Added mp_list_products() can now display pagination
- Added mp_products_nav() to display products pagination
- Fixed some warnings related to shipping fields when checking out
- Fixed premature deletion of csv import file after previously deleting
- Fixed old text in Payflow gateway
- Related products can now be set to use either categories/tags separately or both at the same time
- Fixed bug when using category filter the page title, menu item, etc would not update accordingly http://wp.mu/8l9
- Fixed bug when checking out digital downloads and shipping was enabled the user would still be asked to choose a shipping method http://wp.mu/8mz

2.8.9 - 9/22/2013 - Aaron Edwards, Arnold, Marko Miljus
----------------------------------------------------------------------
- Added PIN payment gateway (beta)
- Added Simplify Commerce gateway by MasterCard
- Add multiple currency support to Payflow Pro gateway
- Add Euro support to Stripe gateway (Ireland)
- Add "Tax Label" setting to customize the tax line item label in the cart
- Removed all the old style PHP 4 constructors (Class name functions)
- Remove help screen when WPMUDEV_REMOVE_BRANDING defined
- Fixed order_confirmation_email() declaration to match it's parent.(Warnings)
- In USPS shipping added maximum box weights to flat rate boxes to improve calculating the number of boxes needed.
- Fixed problem where shipping option could be unselected if the suboption disappeared due to changing the address.
- In FedEx, default to residential delivery. Only allow the customer to change residential to commercial if Allow Commercial checked in settings.
- Changed Continue Checkout buttonform disabled to hide during the shipping rate update.
- Fix admin styles that stopped being included due to a typo
- Avoid errors in the Paypal gateway if 100% coupons are used by making price 0.01
- Don't show confusing subtotal with tax inclusive pricing on

2.8.8 - 7/15/2013 - Aaron Edwards, Arnold, Marko Miljus
----------------------------------------------------------------------
- Add SKU's to admin new order notification email
- Fixed a rounding error with Paypal chained and Tax Inclusive pricing
- Add support for Ireland locale in paypal and not require postal code
- Add support for CAD, EUR and GBP to Authorize.net AIM gateway
- Add support for GBP to Stripe gateway
- Fix store count on global checkout confirmation screen
- Fix coupons datepicker
- Added process_shipping_form call to shipping_sub_options() so that custom fields that can affect shipping will be read. (ie Resedential in FedEx)
- Make custom column code more efficient - props @michael_cannon
- Add a note to table rate shipping that it uses the pre-tax order total
- Add Serbia and Montenegro country codes
- Add mp_product_title() template function
- Add mp_product_description template function
- Add mp_product_meta template function

2.8.7 - 5/24/2013 - Aaron Edwards
----------------------------------------------------------------------
- Make order and payment history times adjust dynamically for the site timezone
- Add Paymill gateway (beta)
- Fix encoded discount display in confirmation emails and PayPal
- Fix products display reverting to grid in list mode when ajax filters are used
- Fix undefined filter_post_kses error for subsite admins in multisite in Manual Payments and Cubepoints gateways
- Fix a Manage Orders page pagination display bug/conflict
- Fix fatal conflict with SEO features of Genesis/Catalyst themes on category pages
- Change text of last checkout breadcrumb to "Order Complete"
- Sanitize price fields in various shipping modules
- Add New Zealand locale to paypal gateways

2.8.6 - 5/8/2013 - Aaron Edwards
----------------------------------------------------------------------
- Fix broken new order emails if % is included in product title
- Fix paypal express documentation links
- Add setting for "Collect Address on Downloadable Only Cart"
- SQL injection hardening

2.8.5 - 4/11/2013 - Aaron Edwards
----------------------------------------------------------------------
- Allow styling of global products by site (blogid in classname)
- Fix sort by price in product list widget http://wp.mu/1r5
- Fix popular products shortcode ordering
- Change Shipping form label when shipping is turned off
- Add CAD to stripe gateway
- Add Israel locale to PayPal gateway
- Fix function name conflict with WP-Client plugin
- Fix mp_product_list shortcode list_view argument

2.8.4 - 3/8/2013 - Aaron, Arnold
----------------------------------------------------------------------
- Added eWay Rapid Payments 3.0 gateway (beta)
- Fixed FedEx no results problem. Shipment in non US countries were treated as International even though the destination was the same country.
- Added "Disable Large Image Display" to Presentatio, which prevents clicking on a product image from displaying a large image. Requested to prevent poaching large gallery images.
- Changed class if Lightbox is disabled so that if another plugin loads lightbox the product images won't use it.

2.8.3 - 3/6/2013 - Aaron, Arnold
----------------------------------------------------------------------
- Fix a fatal error that slipped through when sending emails. Important!

2.8.2 - 3/5/2013 - Aaron, Arnold
----------------------------------------------------------------------
- Add mp_product_sku() template function and shortcode
- Add setting to disable sales tax on digital products if desired
- Add option to set products to draft when out of stock
- Show all gateways to super admins in multisite (avoid confusion)
- Fix rounding errors with tax inclusive pricing (big one!)
- Fix problems with ajax paging with grid on taxonomy archive pages
- Fix css class on product images
- Fix being unable to overwrite shipping information fields with a blank value
- Fix grid bug when no styles are loaded http://wp.mu/h7
- Pass messages settings through wpautop()
- Added check for US country before trimming zip code to 5 characters in calculated shipping modules
- Disabled continue button on shipping form while shipping rates are being updated
- Fix up some notices and warnings on profile page: http://wp.mu/kl
- Reformat various template functions and their documentation
- Fix bug in PayPal/Moneybookers/eWay gateways with shipping method set to none
- Fix iDeal gateway tax inclusive pricing bug by dropping extra tax line item

2.8.1 - 1/21/2013 - Aaron
----------------------------------------------------------------------
- Add very beta Fedex shipping module
- Fix php warning when marking as shipped
- Fix missing orders export box on All orders page: http://wp.mu/ee
- Small fixes to css styles for external links

2.8 - 1/15/2013 - Aaron, Arnold, Cole, Enzo
----------------------------------------------------------------------
- Added UPS Shipping plugin!
- Added built in grid views!
- Add in AJAX dropdown category and order filters to listings pages
- Add optional breadcrumbs to checkout process steps
- Add default product images
- Added ability to trash/delete orders and adjusts stock counts accordingly
- Add featured image import support to the CSV importer
- Add a "clone product" functionality
- Add hooks for custom shipping methods and tracking links
- Major refresh of css styles
- Forced shipping option recalculation when Country changes.
- Fix php warning on category list page old menus
- Fix bug with product list widget when ordering by price or sales
- Fix missing closing tag in global widget breaking drag and drop
- Fix shipping settings save filter for method plugins: http://wp.mu/d7
- Error check in Manual Payments gateway: http://premium.wpmudev.org/forums/topic/bug-with-manual-payment
- Fixed 10525 Paypal errors in global cart checkouts
- Change the "from" price shown on variation listings to the lowest
- Change PayPal generated timestamps for server timezone support
- Fix double trigger of 'mp_order_paid' hook
- Added APO state codes to the marketpress-data.php so addresses can make it past PayPal's address checker,
- Use "APO", "FPO" or "DPO" for the City and 10 digit Zip code.
- Sorted USPS shipping choices in Ascending order so that the lowest price will be the default.
- Changed the Shipping sub options <select> to a select box instead of a dropdown.
- Added code to insure the first item in the Shipping sub options is selected if suboption is blank. Makes sure an item shows in iPad.
- Set minimum "size" on shipping_sub_options select box to 4 for Safari and Chrome quirk.
- Removed Handling charge display from USPS shipping options.
- Let ounces go decimal for shipping weight
- Add hooks to coupon functions
- Added another error passing method for calculated rates. If a suboption key contains 'error' the value is an error message.
- Fix ajax when force admin ssl is on
- Fix conflict with PODS plugin
- Other minor bug/notice fixes

2.7 - 10/03/2012 - Aaron Edwards
----------------------------------------------------------------------
- Include shopping cart item details in orders CSV exports
- fix special instructions in CSV order exports
- Add special instructions to admin new order notification
- Support ecommerce tracking with our Google Analytics plugin on multisite
- Don't require shipping fields when Shipping Modules are turned off
- Display shipping inclusive of tax if tax inclusive pricing is on
- Urlencode paypal url fields to support utf8 store slugs
- Fix an error and debug code in PayPal Express gateway
- Fix custom message showing in cart widget when empty: http://premium.wpmudev.org/forums/topic/shopping-cart-page-message-repeating-in-shopping-cart-widget
- Fix hooks for Affiliate plugin integration with Manual Payments gateway. Props @Rystraum!
- iDeal gateway bugfixes
- Fix rounding problems with tax prices when tax inclusive pricing is on
- Fix bug in flat rate shipping calculations
- Fix issue with shipping being charged for downloadable orders in global cart

2.6.4 - 9/04/2012 - Aaron Edwards
----------------------------------------------------------------------
- Important bugfix with saving Extra Shipping costs and Weights
- Fix bugs in iDeal gateway: http://premium.wpmudev.org/forums/topic/ideal-making-it-work

2.6.3 - 8/29/2012 - Aaron Edwards
----------------------------------------------------------------------
- Add Schema.org microdata to products for SEO, props @aristath!
- Add "from" price label to listings of multiple variation products
- Add cart message even when its empty
- Many many php notice fixes
- Fix major issues with new sites and coupons
- Fix coupons with a number as the code
- Fix rewrite flushing when changing store slugs
- Fix a stripslashes issue with email settings
- Fix unchecking of personalization checkboxes bug
- Fix outdated product urls in orderstatus after slug changes

2.6.2 - 7/13/2012 - Aaron Edwards/Arnold Bailey
----------------------------------------------------------------------
- Added per shipment handling charge to USPS, one for domestic and one for international shipping.
- Add Argentina and Brazil to PayPal gateway countries
- Fix issue with category dropdown widget displaying all products
- Fix some potential problems with new installs and the CubePoints gateway

2.6.1 - 7/13/2012 - Aaron Edwards/Arnold Bailey
----------------------------------------------------------------------
- Display Shipping Option and Shipping Sub Option next to shipping cost on Order Manage Page.
- Added shipping method to the SHIPPINGINFO in email. If mp_shipping_info['method'] not yet set from actual shipping, displays the customer's choice.
- Show Shortcodes and importers tabs in listing only mode
- Major bugfix to gateway plugins settings filters
- Fix stripslashes issue with manual payments gateway
- Fix email filtering for manual payments gateway
- Change order of 'mp_new_order' hook
- Add some more filters for WPML compatibility
- Verify product_ids before adding to cart
- Fix Egypt Pounds currency symbol
- Fix missing labels for custom styles in Network settings

2.6.0 - 6/6/2012 - Aaron Edwards/Paul Menard
----------------------------------------------------------------------
- Added support for per Product and variation custom fields for personalization
- Allow shortcodes to work in custom page messages
- Fix issue with Stripe payment gateway JS conflict. http://premium.wpmudev.org/forums/topic/marketpress-problem-cant-finish-checking-out
- Fix an issue with numbered tags showing all products
- Bug fixes with $content argument in mp_product template function/shortcode
- Wrap prev/next nav links in wrapper for styling

2.5.9 - 5/5/2012 - Aaron Edwards/Arnold
----------------------------------------------------------------------
- Fix problems with USPS shipping module
- Fix stripslashes issue with widget custom content
- Fix issues with single product shortcode attributes

2.5.8 - 4/26/2012 - Aaron Edwards
----------------------------------------------------------------------
- Improvements to coupon handling in PayPal Express gateway
- Add cart details to PayPal Express gateway paypal history
- Fix a bug in chained payments gateway not filling shipping/tax totals
- Internationalize various date strings on the order status pages
- Add UTF-8 BOM to csv exports http://premium.wpmudev.org/forums/topic/export-orders-csv-character-support

2.5.7 - 4/16/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix issues with PayPal chained payments gateway for sure
- Fix bug in Payflow Pro gateway: http://premium.wpmudev.org/forums/topic/marketpress-payflow-pro-not-sending-info-to-paypal
- Separate AJAX cart and checkout JS: http://premium.wpmudev.org/forums/topic/checkout-button-disappears

2.5.6 - 4/02/2012 - Aaron Edwards
----------------------------------------------------------------------
- Create MP_HIDE_MENUS define to hide store menus
- Add basic error messages for downloads
- Fix ocassional issues with chained payments gateway

2.5.5 - 3/23/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix shortcodes documentation
- Fix stripslashes issue in cart widget custom text
- Fix bug with x_delim_data in authorize.net gateway
- Fix wrong orderstatus link on global checkout confirmation page

2.5.4 - 3/19/2012 - Aaron Edwards
----------------------------------------------------------------------
- Four new shortcodes! [mp_product] (display a single product anywhere!), [mp_product_image], [mp_buy_button], [mp_product_price]
- Add support for custom css files in /wp-content/marketpress-styles/ folder to avoid overwriting on updates
- Fixed improper switching to V2 rate schedule on foreign orders in USPS module - Arnold Bailey
- Genesis compatibility improvements with it's featured images settings
- Fix bug with message display when there are no products in the product list or shortcode

2.5.3 - 3/09/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix table/weight rate shipping calculations for Canada - props shaunmacrae
- Minor fixes/updates to the WP ecommerce importer

2.5.2 - 2/29/2012 - Aaron Edwards
----------------------------------------------------------------------
- Minor fix to the Store Styles drop down display

2.5.1 - 2/29/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix bugs with iDEAL gateway
- Add support for multiple iDEAL banks
- Rename Store Themes to Store Styles to avoid terminology confusion
- Switch lightbox to GPL compatible lumebox
- WPML compatibility fixes

2.5 - 2/16/2012 - Aaron Edwards
----------------------------------------------------------------------
- Add a full CSV product importer!
- Add orders exporting as CSV by year and month
- Add weight based shipping module
- Add support for calculated shipping modules
- Add USPS calculated shipping module!
- Add order statistics dashboard widget
- Add store info to right now widget
- Add Log entry for cubpoints gateway checkouts
- Add "Only show on store pages" option to all widgets
- Add setting to disable excerpts in product lists
- Add per product special tax rates
- Add Pro Sites level recognition for multisite: http://premium.wpmudev.org/forums/topic/feature-request-advanced-integration-of-marketpress-and-pro-sites
- Add Stripe payment gateway! Accept credit cards directly on your site with full PCI compliance
- Add custom API url support to Authorize.net gateway for compatibility with many 3rd party gateways
- Add beta PayPal Payflow Pro gateway
- Add beta iDEAL gateway (ING bank only)
- Add setting to hide Product Image on single pages
- Fix translation issues for gateway and shipping plugin names
- Fix bug with category dropdown widget
- Fix custom menu current item highlighting in WP 3.3
- Fix tax calculation bug with Google Checkout gateway for orders with no tax
- Fix lightbox z-index on Twenty Eleven theme
- Make shipping fields behavior consistent with global cart enabled
- Fix currency rounding problem for large prices with decimals off
- Remove add to cart button when in product listing mode and no custom link set
- Allow $0 sale prices

2.4.2 - 12/16/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix a fatal bug introduced to the PayPal express gateway in 2.4.1. Important update!
- Add sanity checks for long product names into PayPal gateway to prevent errors

2.4.1 - 12/14/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix negative quantities being able to be added to your cart: http://premium.wpmudev.org/forums/topic/marketpress-security-bug
- Fix removing cart items when global is set to on
- Gracefully handle global carts if a seller hasn't configured PayPal by skipping their checkout
- Handle SSL properly on checkout page
- Fix out of stock AJAX message for variation products: http://premium.wpmudev.org/forums/topic/out-of-stock-triggers-when-only-one-of-the-variations-is-sold-out-but-others-are-still-available
- Hook into logout to clear personal session information: http://premium.wpmudev.org/forums/topic/security-issue-with-marketpress

2.4 - 12/12/2011 - Aaron Edwards
----------------------------------------------------------------------
- WP 3.3 Compatibility - Not backwards compatible
- Pro Sites support - level support coming soon...
- Add textdomain to plugin header to translate plugin description
- Change link field to work with low resolution
- Fix bug with icons css theme
- Update the table rate shipping for international support
- Update chained payments documentation
- Add Turkish lira to PayPal gateways
- Make shipping info available to search for on orders page. http://premium.wpmudev.org/forums/topic/search-store-orders-by-name-bug
- Fix global products pagination missing last page

2.3.2 - 10/28/2011 - Aaron Edwards
----------------------------------------------------------------------
- Add JS to dropdown categories shortcode
- Fix image size in global product listings to be correct
- Fix missing title on product list pages
- Fix title incompatibility with Genesis & Catalyst framework based themes
- Style fixes to icons CSS theme
- Fix double email for digital only orders

2.3.1 - 10/17/2011 - Aaron Edwards
----------------------------------------------------------------------
- Still send shipped notification email for download only carts (for gateways with delayed paid confirmations)
- Fix cart widget title getting removed on AJAX add to cart for some themes
- Combine forms on the edit order screen to avoid confusion when saving
- Add back in Inventory Threshold option
- Add action hook to mp_order_status() template function.
- Add points and credits currency types

2.3 - 10/11/2011 - Aaron Edwards
----------------------------------------------------------------------
- Add Table Rate shipping plugin
- Fix tax inclusive display in cart widget
- Fix blank gateway select page for download only carts combined with PayPal Express gateway
- Add back email field for download only carts
- Fix graceful degrading of AJAX cart handling
- Adjust PayPal gateway to gracefully handle carts with free products in them

2.2.1 - 10/03/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fixed small bug in canada tax handling
- Added ajax shipping province dropdown for USA, CAN, AUS
- Fixed small checkout error display bug
- Fixed slashes issue in emails
- Fixed default tax display with tax inclusive pricing on

2.2 - 9/22/2011 - Aaron Edwards
----------------------------------------------------------------------
- Added Cubepoints gateway - Requires the CubePoints plugin: http://wordpress.org/extend/plugins/cubepoints/
- Added eWay Shared Payments gateway
- Add Tax inclusive pricing option
- Add tracking number field to shipping section of Order management
- Add notes field to order management page
- Add special instructions field option for orders that require personalization
- Skip shipping checkout page for digital only orders
- Fix dropdown product category widget
- Fix bug in tax calculation for some countries
- Fix bug in order payment status change to paid
- Fix small bug in global products paging last page

2.1.6 - 9/10/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix sprintf() bug on paypal-express gateway
- Fix rare bug with paypal-express gateway where orders were being duplicated across random blogs
- Usability improvements to settings pages
- Fix problem with network gateway control when listings only are enabled on main site
- Fix Global products listing paging
- Add global products previous/next navigation links

2.1.5 - 9/01/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix global product indexing when trashing/untrashing products
- Fix updating exisiting products in global index
- Fix rewrites to ignore base (example /blog/)
- Up the timeout to 60 seconds for Paypal API requests

2.1.4 - 8/15/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix global cart cookies for some setups
- Fixes to order arguments for shortcodes and template functions
- Fix order sort for all old products
- Fix browse products link in empty cart page
- Attempt to fix occassional "missed a step" message on checkout confirmation

2.1.3 - 7/06/2011 - Aaron Edwards
----------------------------------------------------------------------
- Added a little hack for compatibility with Headway and Genesis themes

2.1.2 - 7/03/2011 - Aaron Edwards
----------------------------------------------------------------------
- WP 3.2 compatibility
- Google Analytics Ecommerce tracking support
- Ability to add define('MP_HIDE_LOGIN_OPTION', true); to hide the login option on checkout
- Fixed redirect bug for login link on checkout
- Many new hooks for WPML full translation capability
- Ability to add add_theme_support('mp_style') to disable frontend css
- Fixed Kenyan Shilling symbol
- Added hooks to the download handler to allow plugins to override
- Fixed bug in drop down menus

2.1.1 - 6/03/2011 - Aaron Edwards
----------------------------------------------------------------------
- Changes to the download script to enable larger files
- Ability to add define('MP_LARGE_DOWNLOADS', true); to wp-config.php to use redirects for very large files
- Some improvements to the WP e-Commerce product importer for old thumbnails

2.1 - 5/25/2011 - Aaron Edwards
----------------------------------------------------------------------
- WP e-Commerce product importer added
- New importer plugin class added for others to easily build importers
- Fix rare bug with permalinks
- Try to prevent other plugins that cache output from stopping downloads

2.0.6 - 5/20/2011 - Aaron Edwards
----------------------------------------------------------------------
- Add configurable store admin email address
- Filter email from and name for store emails
- Add buyer email to order admin notification
- Remove digital flag in PayPal express gateway
- Fix out of order </tbody> tag on cart page
- Remove PHP5 depreciated class assignments

2.0.5 - 5/12/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix slug conflicts with virtual pages and similar permalinks: http://premium.wpmudev.org/forums/topic/checkout-page-redirecting-slug-bug

2.0.4 - 5/10/2011 - Aaron Edwards
----------------------------------------------------------------------
- Add Kuwaiti dinar
- Additional error checks for FrameMarket theme
- Add ZAR to 2Checkout gateway
- Add check for MP_HIDE_ORDERSTATUS_SHIPPING constant

2.0.3 - 5/06/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix another bug with Authorize.net gateway when product names are too long
- Update UK county list
- Fix some style issues

2.0.2 - 5/02/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix up bugs with Authorize.net gateway
- Bugfixes with storing shipping info on checkout
- Disable ajax cart if domain mapping is set to original backend
- Fix add link popup in messages rich text editors

2.0.1 - 4/29/2011 - Aaron Edwards
----------------------------------------------------------------------
- Change cart cookie name to prevent errors with existing carts on upgrade

2.0 - 4/10/2011 - Aaron Edwards & S H Mohanjith
----------------------------------------------------------------------
- Global carts/checkout - PayPal Express only compatible gateway currently
- Downloadable Products
- Limit download count per purchase
- Product variations
- Per order product limits
- Skipping payment form page if only one gateway allowed
- Hide cart widget on cart pages
- Add cart widget to sidebar on first install
- Option to force login to checkout
- Moneybookers gateway
- Google Checkout gateway
- Many many bugfixes

2.0.4
---------------------------------------------------------------------
- Fixed: Invalid argument /template-functions.php on line 1736

1.3.1 - 3/25/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fixed an email bug with the new manual payments gateway

1.3 - 3/24/2011 - Aaron Edwards
----------------------------------------------------------------------
- New Manual Payments gateway added! Now accept cash, checks, EFT, etc.
- Removed cart widget thumbnail settings until they actually do something
- Other small bugfixes

1.2.2 - 3/16/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix to new order ID filter
- Product list categories dropdown filter fixed in 3.1
- Fixed virtual page display issues in some themes

1.2.1 - 3/11/2011 - Aaron Edwards
----------------------------------------------------------------------
- Small Payment gateway bugfixes
- Chained payments not clearing cart bugfix

1.2.0 - 3/10/2011 - S H Mohanjith
----------------------------------------------------------------------
- Headway theme compatiblity fix: Missing argument 2 for MarketPress::filter_nav_menu()
- Fix category dropdown widget js
- Add filter to orderid generation
- Additional classes and filters added for our custom theme
- Added primary key on global term_relationships table to prevent duplicates
- More 2CO plugin conflict fixes

1.1.9 - 2/18/2011 - Aaron Edwards
----------------------------------------------------------------------
- Hooks added for externally loaded gateway/shipping plugins
- Added mp_items_in_cart() template function to determine if items are in the users cart
- 2Checkout payment plugin conflict with Membership plugin
- Fixed bug with low stock notification
- Added admin notification for new orders

1.1.8 - 2/03/2011 - Aaron Edwards
----------------------------------------------------------------------
- Lots of hooks added for plugins
- Bug fix when using custom cart templates
- Added SOLUTIONTYPE=Sole to paypal express to allow CC payments without paypal account

1.1.7 - 1/25/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fixed 3.1 compatibility bug due to RC3 revertions
- Added setting to display prices with no decimals

1.1.6 - 1/07/2011 - Aaron Edwards
----------------------------------------------------------------------
- Added 'mp_default_settings' filter to mod default settings array on new stores
- Fixed http://premium.wpmudev.org/forums/topic/marketpress-template-page-mp_global_productsphp-works-but-browsers-title-says-page-not-found?replies=20#post-72045
- Fixed major 3.1 Compatibility bug I missed on orders page
- Fixed order status change success message on orders page

1.1.5 - 1/07/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fixed: Global MarketPress Permalink Updating Problems - for sure this time ;-)

1.1.4 - 1/06/2011 - Aaron Edwards
----------------------------------------------------------------------
- WP 3.1 compatibility
- Autoupdate capable
- Updated default .po file for translation
- Fixed: Global products not removed for deleted/spammed/archived/deactivated sites
- Fixed: Make global tag/category lists filter out those with no counts
- Fixed: Global MarketPress Permalink Updating Problems - bug last time around

1.1.3 - 12/31/2010 - Mohanjith
----------------------------------------------------------------------
- Fixed: Global MarketPress Permalink Updating Problems
- Fixed: MarketPress check out page issues

1.1.2 - 12/16/2010
----------------------------------------------------------------------
- Fixed: MP html needs more css class names
- Fixed: Make "Continue Checkout" button text only
- Fixed: Unclosed label tags cause widget drag/drop issue in IE
- Fixed: Store page content overwritten
- Fixed: Product excerpts sometimes not showing in Product List Widget
- Fixed: When using custom templates page titles were not being filtered for virtual store pages

1.1.1 - 11/25/2010
----------------------------------------------------------------------
- Fixed: post_thumbnails breaks themes
- Fixed: Marketpress Product List widget displays all products

1.1 - 11/10/2010
----------------------------------------------------------------------
- 2Checkout and Authorize.net beta gateways added
- new mp_is_shop_page() template function http://premium.wpmudev.org/forums/topic/marketpressload_store_templates-should-make-is_shop_page-available
- fixed bug not allowing limited gateways for supporters
- lots of little bug fixes/improvements

1.0.4 - 10/15/2010
----------------------------------------------------------------------
- Added support for MP_ROOT_BLOG define to change blog for global listings
- Fixed permissions bug for changing order status

1.0.3 - 10/12/2010
----------------------------------------------------------------------
- Fixed fatal error when unchecking all gateways
- Fixed error saving decimal in extra shipping
- Fixed currency display decimals in admin fields

1.0.2 - 10/01/2010
----------------------------------------------------------------------
- Fixed bug with paging on product/taxonomy lists
- Fixed title on taxonomy list pages
- Hopefully added a workaround to detect and deal with poorly written plugins that flush rewrite rules before init
- Fixed bug that incorrectly showed out of stock button when stock remained

1.0.1 - 9/18/2010
----------------------------------------------------------------------
- Fixed bug in global listings that didn't show product thumbnails/prices

1.0 - 9/11/2010
----------------------------------------------------------------------
- Initial Release


267940-1440639559-ai